#include <math.h>

double nThRootBisect(double a, int n, double e) {
	double l, h, c;

	l = 1; h = a;
	while ((h - l)*(h - l) >= e) {
		c = (l + h)/2;
		if (pow(c, n) - a == 0) return c;
		if ((pow(l, n) - a)*(pow(c, n) - a) < 0) h = c;
		else l = c;
	}
	return h;
}
